import { UserError } from "@saleor/types";

export function getFieldError(errors: UserError[], field: string): UserError {
  return errors.find(err => err.field === field);
}

export function getErrors(errors: UserError[]): string[] {
  return errors
    .filter(err => ["", null].includes(err.field))
    .map(err => err.message);
}
